# Uses of Interface
org.eclipse.jdt.launching.IVMConnector

Packages that use IVMConnector
Package
Description
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.

## Uses of IVMConnector in org.eclipse.jdt.launching

Methods in org.eclipse.jdt.launching that return IVMConnector
Modifier and Type
Method
Description
`static IVMConnector`
JavaRuntime.`getDefaultVMConnector()`
Return the default VM connector.
`static IVMConnector`
JavaRuntime.`getVMConnector(String id)`
Returns the VM connector defined with the specified identifier, or `null` if none.
`static IVMConnector[]`
JavaRuntime.`getVMConnectors()`
Returns all VM connector extensions.
Methods in org.eclipse.jdt.launching with parameters of type IVMConnector
Modifier and Type
Method
Description
`static void`
JavaRuntime.`setDefaultVMConnector(IVMConnector connector, org.eclipse.core.runtime.IProgressMonitor monitor)`
Sets a VM connector as the system-wide default VM.